cURL
curl --request PUT \ --url https://api.vatly.dev/v1/webhooks/config \ --header 'Content-Type: application/json' \ --data ' { "url": "https://example.com/webhooks", "enabled": true } '
{ "data": { "url": "https://example.com/webhooks", "signing_secret": "whsec_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4", "enabled": true, "created_at": "2026-03-30T12:00:00.000Z" }, "meta": { "request_id": "550e8400-e29b-41d4-a716-446655440000", "cached": true, "cached_at": "<string>", "stale": true, "source_status": "live", "mode": "test", "request_duration_ms": 120 } }
Create or update the webhook URL for async validation delivery. Generates a signing secret on first creation. URL must use HTTPS. Pro and Business tiers only.
Webhook delivery URL (must be HTTPS)
"https://example.com/webhooks"
Webhook configuration saved
Show child attributes